using Fuel.Application.Authorization;
using Fuel.Application.Service;
using Fuel.Core.Transactions.Dto;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace Fuel.PaymentServer.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class SiteController : ControllerBase
    {
        private readonly ISiteService _siteService;
       public SiteController(ISiteService siteService)
        { 
             _siteService = siteService;
        }
        /// <summary>
        /// 获取站点信息与用户信息
        /// </summary>
        /// <param name=""></param>
        /// <returns></returns>
        [Permission("Site:GetSiteInfo:GET")]
        [Route("GetSiteInfo")]
        [HttpGet]
        public async Task<IActionResult> GetSiteInfo()
        {
            var serviceResult = await _siteService.GetSiteInfo();
            return Ok(serviceResult);
        }
    }
}
